Name:           ocaml-react
Version:        1.2.1
Release:        %mkrel 7
Summary:        OCaml module for Functional Reactive Programming (FRP)
License:        BSD
Group:          Development/OCaml
URL:            http://erratique.ch/software/react
Source0:        http://erratique.ch/software/react/releases/react-%{version}.tbz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-topkg-devel

%description
React is an OCaml module for functional reactive programming (FRP).
It provides support to program with time varying values : applicative
events and signals. React doesn't define any primitive event or signal,
this lets the client chooses the concrete timeline.

React is made of a single, independent, module and distributed under
the new BSD license.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n react-%{version}

# require debug info
echo $'\ntrue: debug' >> _tags

%build
ocaml pkg/pkg.ml "build"

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR

ocamlfind install react _build/src/*.{cm{i,a,t,ti,x,xa,xs},a,mli} _build/pkg/META

%files
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/react
%{_libdir}/ocaml/react/META
%{_libdir}/ocaml/react/*.cmi
%{_libdir}/ocaml/react/*.cma
%{_libdir}/ocaml/react/*.cmxs

%files devel
%doc doc
%{_libdir}/ocaml/react/*.cmx
%{_libdir}/ocaml/react/*.cmxa
%{_libdir}/ocaml/react/*.a
%{_libdir}/ocaml/react/*.mli
%{_libdir}/ocaml/react/*.cmt
%{_libdir}/ocaml/react/*.cmti


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.2.1-7.mga8
+ Revision: 1670294
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.2.1-6.mga8
+ Revision: 1551664
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.2.1-5.mga8
+ Revision: 1543569
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.2.1-4.mga8
+ Revision: 1481937
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.2.1-3.mga7
+ Revision: 1324541
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1299923
- Mageia 7 Mass Rebuild

* Tue Mar 27 2018 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1212727
- new version: 1.2.1
- add BR ocaml-topkg

* Sun Nov 26 2017 tv <tv> 1.2.0-8.mga7
+ Revision: 1179798
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Thu Oct 12 2017 daviddavid <daviddavid> 1.2.0-7.mga7
+ Revision: 1171355
- rebuild for fixed ocaml (use standard ISO C99 types {u}uint{32,64}_t)

* Fri Oct 06 2017 daviddavid <daviddavid> 1.2.0-6.mga7
+ Revision: 1169664
- enable debugging information thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 1.2.0-5.mga6
+ Revision: 1056437
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 1.2.0-4.mga6
+ Revision: 930640
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 746845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 683094
- Mageia 5 Mass Rebuild
+ malo <malo>
- update to 1.2.0

* Sat Oct 19 2013 umeabot <umeabot> 0.9.4-7.mga4
+ Revision: 533927
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 0.9.4-6.mga4
+ Revision: 475790
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.4-5.mga3
+ Revision: 361584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 0.9.4-4.mga3
+ Revision: 308580
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.4-3.mga3
+ Revision: 301072
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.4-2.mga3
+ Revision: 300290
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 0.9.4-1.mga3
+ Revision: 279333
- now needs findlib to build
- updated to last version 0.9.4
- updated to last version 0.9.4
- updated to last version 0.9.4
- update to new version 0.9.3

* Wed Dec 21 2011 malo <malo> 0.9.2-4.mga2
+ Revision: 185380
- spec clean-up
- imported package ocaml-react

